THIS IS A TEST INSTANCE ONLY! REPOSITORIES CAN BE DELETED AT ANY TIME!

You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.

Gemfile 2.9KB

  1. source 'https://rubygems.org'
  2. gem "bundler", ">= 1.5.0"
  3. gem "rails", "5.2.3"
  4. gem "rouge", "~> 3.10.0"
  5. gem "request_store", "1.0.5"
  6. gem "mini_mime", "~> 1.0.1"
  7. gem "actionpack-xml_parser"
  8. gem "roadie-rails", (RUBY_VERSION < "2.5" ? "~> 1.3.0" : "~> 2.1.0")
  9. gem "mimemagic"
  10. gem "mail", "~> 2.7.1"
  11. gem "csv", "~> 3.1.1"
  12. gem "nokogiri", "~> 1.10.0"
  13. gem "i18n", "~> 1.6.0"
  14. gem "rbpdf", "~> 1.20.0"
  15. # Windows does not include zoneinfo files, so bundle the tzinfo-data gem
  16. gem 'tzinfo-data', platforms: [:mingw, :x64_mingw, :mswin]
  17. # Optional gem for LDAP authentication
  18. group :ldap do
  19. gem "net-ldap", "~> 0.16.0"
  20. end
  21. # Optional gem for OpenID authentication
  22. group :openid do
  23. gem "ruby-openid", "~> 2.3.0", :require => "openid"
  24. gem "rack-openid"
  25. end
  26. # Optional gem for exporting the gantt to a PNG file
  27. group :minimagick do
  28. gem "mini_magick", "~> 4.9.5"
  29. end
  30. # Optional Markdown support, not for JRuby
  31. group :markdown do
  32. gem "redcarpet", "~> 3.5.0"
  33. end
  34. # Include database gems for the adapters found in the database
  35. # configuration file
  36. require 'erb'
  37. require 'yaml'
  38. database_file = File.join(File.dirname(__FILE__), "config/database.yml")
  39. if File.exist?(database_file)
  40. database_config = YAML::load(ERB.new(IO.read(database_file)).result)
  41. adapters = database_config.values.map {|c| c['adapter']}.compact.uniq
  42. if adapters.any?
  43. adapters.each do |adapter|
  44. case adapter
  45. when 'mysql2'
  46. gem "mysql2", "~> 0.5.0", :platforms => [:mri, :mingw, :x64_mingw]
  47. when /postgresql/
  48. gem "pg", "~> 1.1.4", :platforms => [:mri, :mingw, :x64_mingw]
  49. when /sqlite3/
  50. gem "sqlite3", "~> 1.4.0", :platforms => [:mri, :mingw, :x64_mingw]
  51. when /sqlserver/
  52. gem "tiny_tds", "~> 1.0.5", :platforms => [:mri, :mingw, :x64_mingw]
  53. gem "activerecord-sqlserver-adapter", :platforms => [:mri, :mingw, :x64_mingw]
  54. else
  55. warn("Unknown database adapter `#{adapter}` found in config/database.yml, use Gemfile.local to load your own database gems")
  56. end
  57. end
  58. else
  59. warn("No adapter found in config/database.yml, please configure it first")
  60. end
  61. else
  62. warn("Please configure your config/database.yml first")
  63. end
  64. group :development do
  65. gem "yard"
  66. end
  67. group :test do
  68. gem "rails-dom-testing"
  69. gem "mocha"
  70. gem "simplecov", "~> 0.17.0", :require => false
  71. gem "ffi", platforms: [:mingw, :x64_mingw, :mswin]
  72. # For running system tests
  73. gem 'puma', '~> 3.7'
  74. gem "capybara", (RUBY_VERSION < "2.4" ? "~> 3.15.1" : "~> 3.25.0")
  75. gem "selenium-webdriver"
  76. # RuboCop
  77. gem 'rubocop', '~> 0.74.0'
  78. gem 'rubocop-performance', '~> 1.4.1'
  79. gem 'rubocop-rails', '~> 2.3.0'
  80. end
  81. local_gemfile = File.join(File.dirname(__FILE__), "Gemfile.local")
  82. if File.exists?(local_gemfile)
  83. eval_gemfile local_gemfile
  84. end
  85. # Load plugins' Gemfiles
  86. Dir.glob File.expand_path("../plugins/*/{Gemfile,PluginGemfile}", __FILE__) do |file|
  87. eval_gemfile file
  88. end